> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Credit Allowance



## OpenAPI

````yaml /openapi.json post /admin/api/assistant/workspaces/{workspaceId}/credit-resets
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/assistant/workspaces/{workspaceId}/credit-resets:
    post:
      tags:
        - Assistant Admin
      summary: Reset Credit Allowance
      operationId: AssistantAdminController_resetCreditAllowance
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminCreditResetDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    AdminCreditResetDto:
      type: object
      properties:
        userId:
          type: string
        cycle:
          type: string
          pattern: ^\d{4}-(0[1-9]|1[0-2])$
        reason:
          type: string
          minLength: 3
          maxLength: 500
      required:
        - reason
      additionalProperties: false

````